import sys
import os
import shutil

def copyOne(path, file):
    fullFileName = os.path.join(path, file)
    print "Copying ", fullFileName
    try:
        shutil.copy(fullFileName, file)
    except:
        print "Error copying file ", sys.exc_info()[0], sys.exc_info()[1]
#    except shutil.Error as e:
#        print ('Error copying file %s: %s" % (file, e))
#    except IOError as e:
#        print ('Error copying file %s: %s" % (file, e.strerror))

    
def doCopy(profilePath):
    cellName = AdminControl.getCell()
    print "cellName is ", cellName
    filePath = os.path.join(profilePath, "installedApps", cellName, "TeamEAR.ear", "cqweb.war", "WEB-INF");
    copyOne(filePath, "web.xml");
    filePath = os.path.join(filePath, "classes")
    copyOne(filePath, "sso.properties");

def runscript(args):
    failOnError = "true"
    
    if len(args) == 1:
        profilePath = args[0]
        doCopy(profilePath)
    else:
        sys.stderr.write("!!! Invalid number of arguments for getfiles operation\n")
        printUsage()
        sys.exit(101)


#------------------------------------------------------------------------------
# Main entry point
#------------------------------------------------------------------------------
if len(sys.argv) > 0:
	runscript(sys.argv)
else:
   	printUsage()


